#!/bin/sh

set -eu

JEDI_UPDATE_GROUP="system-update"

case "${1:-}" in
    "configure")
	if [ -z "$(getent group "${JEDI_UPDATE_GROUP}")" ]; then
            addgroup --system "${JEDI_UPDATE_GROUP}"
        fi
    ;;
    "abort-upgrade"|"abort-remove"|"abort-deconfigure")
    ;;
    *)
        echo "postinst called with invalid argument." >&2
        exit 1
    ;;
esac

exit 0
